@import "abstracts/mixins";
@import "abstracts/vars";
@import "base/fontawesome/font-awesome-mix-var";

.gradient-background {
    background: linear-gradient(to right, #eb757f 0%, #263891 100%);

    .getIntouch-mainTitle {
        font-size: 4.0625rem;
        color: white;
        margin: 4rem 0rem;
        font-weight: bold;
        display: block !important;
    }

    .getIntouch-promosBlock {
        margin-bottom: 4rem;

        &>div.row {
            display: -webkit-flex;
            display: flex;
            margin-bottom: 90px;
            flex-direction: row;
 
            .promo {
                padding: 0px;
                background-color: transparent;

                .component-content {
                    border: 0px;

                    .getIntouch-promo {
                        -webkit-flex-grow: 1;
                        flex-grow: 1;
                        background-color: white;
                        margin: 0 22px;
                        padding: 40px 27px;
                        min-height: 235px;

                        .field-promotext {
                            font-size: 1.625rem;
                            color: #000;
                            font-weight: bold;
                        }

                        .field-promotext2 {
                            font-size: 1.375rem;
                            color: #686868;
                            margin: 5px 0;
                        }

                        .field-promolink {
                            a {
                                color: #0033ab;
                                font-size: 20px;
                                font-weight: 700;
                            }
                        }
                    }
                }

            }

        }
    }
}

@media (max-width: 1024px) {
    .gradient-background {
        .getIntouch-promosBlock {
            &>div.row {
                .promo {
                    .component-content {
                        .getIntouch-promo {
                            margin: 0 18px;
                            padding: 40px 18px;
                            min-height: 206px;
                            overflow: hidden;

                            .field-promotext {
                                font-size: 1.625rem;
                                color: #000;
                                font-weight: bold;
                            }

                            .field-promotext2 {
                                font-size: 1.375rem;
                                color: #686868;
                                margin: 5px 0;
                            }

                            .field-promolink {
                                a {
                                    color: #0033ab;
                                    font-size: 14px;
                                    font-weight: 700;
                                }
                            }
                        }
                    }

                }

            }
        }
    }
}

@media (max-width: 768px) {
    .gradient-background {
        .getIntouch-promosBlock {
            &>div.row {
                flex-direction: column;

                .promo {
                    .component-content {
                        .getIntouch-promo {
                            margin-bottom: 20px;

                            .field-promotext {
                                font-size: 2.625rem;
                                color: #000;
                            }

                            .field-promotext2 {
                                font-size: 2.375rem;
                                color: #686868;
                                margin: 5px 0;
                            }

                            .field-promolink {
                                a {
                                    color: #0033ab;
                                    font-size: 18px;
                                    font-weight: 700;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}